// Port80Handler has been removed - use SmartCertManager instead
import { Port80HandlerEvents } from '../models/common-types.js';

// Re-export for backward compatibility
export { Port80HandlerEvents };

/**
 * @deprecated Use SmartCertManager instead
 */
export interface IPort80HandlerSubscribers {
  onCertificateIssued?: (data: any) => void;
  onCertificateRenewed?: (data: any) => void;
  onCertificateFailed?: (data: any) => void;
  onCertificateExpiring?: (data: any) => void;
}

/**
 * @deprecated Use SmartCertManager instead
 */
export function subscribeToPort80Handler(
  handler: any,
  subscribers: IPort80HandlerSubscribers
): void {
  console.warn('subscribeToPort80Handler is deprecated - use SmartCertManager instead');
}